Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.query.criteria
Class AuditId

    java.lang.Object
      org.hibernate.envers.query.criteria.AuditId

    public class AuditId

extends Object

Create restrictions and projections for the id of an audited entity.

Constructor Summary
`AuditId()`

Method Summary
`AuditProjection` | `count(String idPropertyName)` Projection counting the values TODO: idPropertyName isn't needed, should be read from the configuration
`AuditCriterion` | `eq(Object id)` Apply an "equal" constraint
`AuditCriterion` | `ne(Object id)` Apply a "not equal" constraint

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditId

    public AuditId()

Method Detail

### eq

    public AuditCriterion eq(Object id)

  Apply an "equal" constraint

### ne

    public AuditCriterion ne(Object id)

  Apply a "not equal" constraint

### count

    public AuditProjection count(String idPropertyName)

  Projection counting the values TODO: idPropertyName isn't needed, should be read from the configuration

  Parameters:
    `idPropertyName` - Name of the identifier property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.